Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Functions
intmatcher.cpp File Reference
`#include "intmatcher.h"`
`#include "intproto.h"`
`#include "callcpp.h"`
`#include "scrollview.h"`
`#include "float2int.h"`
`#include "globals.h"`
`#include "helpers.h"`
`#include "classify.h"`
`#include "shapetable.h"`
`#include <math.h>`

Go to the source code of this file.

## Classes

class | tesseract::ClassPruner

## Namespaces

namespace | tesseract

## Functions

void | IMDebugConfiguration (int FeatureNum, uinT16 ActualProtoNum, uinT8 Evidence, BIT_VECTOR ConfigMask, uinT32 ConfigWord)
void | IMDebugConfigurationSum (int FeatureNum, uinT8 *FeatureEvidence, inT32 ConfigCount)
void | HeapSort (int n, register int ra[], register int rb[])

## Function Documentation

void HeapSort | ( | int | n,
|  | register int | ra[],
|  | register int | rb[]
| ) |  |

Definition at line 1305 of file intmatcher.cpp.

{
/*
** Parameters:
** n Number of elements to sort
** ra Key array [1..n]
** rb Index array [1..n]
** Globals:
** Operation:
** Sort Key array in ascending order using heap sort
** algorithm. Also sort Index array that is tied to
** the key array.
** Return:
** Exceptions: none
** History: Tue Feb 19 10:24:24 MST 1991, RWM, Created.
*/
register int i, rra, rrb;
int l, j, ir;
l = (n >> 1) + 1;
ir = n;
for (;;) {
if (l > 1) {
rra = ra[--l];
rrb = rb[l];
}
else {
rra = ra[ir];
rrb = rb[ir];
ra[ir] = ra[1];
rb[ir] = rb[1];
if (--ir == 1) {
ra[1] = rra;
rb[1] = rrb;
return;
}
}
i = l;
j = l << 1;
while (j <= ir) {
if (j < ir && ra[j] < ra[j + 1])
++j;
if (rra < ra[j]) {
ra[i] = ra[j];
rb[i] = rb[j];
j += (i = j);
}
else
j = ir + 1;
}
ra[i] = rra;
rb[i] = rrb;
}
}

void IMDebugConfiguration | ( | int | FeatureNum,
|  | uinT16 | ActualProtoNum,
|  | uinT8 | Evidence,
|  | BIT_VECTOR | ConfigMask,
|  | uinT32 | ConfigWord
| ) |  |

Definition at line 757 of file intmatcher.cpp.

{
/*
** Parameters:
** Globals:
** Operation:
** Print debugging information for Configuations
** Return:
** Exceptions: none
** History: Wed Feb 27 14:12:28 MST 1991, RWM, Created.
*/
cprintf ("F = %3d, P = %3d, E = %3d, Configs = ",
FeatureNum, (int) ActualProtoNum, (int) Evidence);
while (ConfigWord) {
if (ConfigWord & 1)
cprintf ("1");
else
cprintf ("0");
ConfigWord >>= 1;
}
cprintf ("\n");
}

void IMDebugConfigurationSum | ( | int | FeatureNum,
|  | uinT8 * | FeatureEvidence,
|  | inT32 | ConfigCount
| ) |  |

Definition at line 785 of file intmatcher.cpp.

{
/*
** Parameters:
** Globals:
** Operation:
** Print debugging information for Configuations
** Return:
** Exceptions: none
** History: Wed Feb 27 14:12:28 MST 1991, RWM, Created.
*/
cprintf("F=%3d, C=", FeatureNum);
for (int ConfigNum = 0; ConfigNum < ConfigCount; ConfigNum++) {
cprintf("%4d", FeatureEvidence[ConfigNum]);
}
cprintf("\n");
}